HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE (JNA API)

com.sun.jna.platform.win32

## Enum HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE

- java.lang.Object
- - java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE>
  - - com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE>
  Enclosing interface:
    HighLevelMonitorConfigurationAPI

      public static enum HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE
      extends java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE>

  Identifies monitor display technologies.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE.ByReference` Defines a Reference to the enum

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MC_APERTURE_GRILL_CATHODE_RAY_TUBE` Aperture-grill CRT.
    `MC_ELECTROLUMINESCENT` Electroluminescent display.
    `MC_FIELD_EMISSION_DEVICE` Field emission device (FED) display.
    `MC_LIQUID_CRYSTAL_ON_SILICON` Liquid crystal on silicon (LCOS) display.
    `MC_MICROELECTROMECHANICAL` Microelectromechanical display.
    `MC_ORGANIC_LIGHT_EMITTING_DIODE` Organic light emitting diode (LED) display.
    `MC_PLASMA` Plasma display.
    `MC_SHADOW_MASK_CATHODE_RAY_TUBE` Shadow-mask cathode ray tube (CRT).
    `MC_THIN_FILM_TRANSISTOR` Thin-film transistor (TFT) display.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MC_SHADOW_MASK_CATHODE_RAY_TUBE

          public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_SHADOW_MASK_CATHODE_RAY_TUBE

      Shadow-mask cathode ray tube (CRT).

    - #### MC_APERTURE_GRILL_CATHODE_RAY_TUBE

          public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_APERTURE_GRILL_CATHODE_RAY_TUBE

      Aperture-grill CRT.

    - #### MC_THIN_FILM_TRANSISTOR

          public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_THIN_FILM_TRANSISTOR

      Thin-film transistor (TFT) display.

    - #### MC_LIQUID_CRYSTAL_ON_SILICON

          public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_LIQUID_CRYSTAL_ON_SILICON

      Liquid crystal on silicon (LCOS) display.

    - #### MC_PLASMA

          public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_PLASMA

      Plasma display.

    - #### MC_ORGANIC_LIGHT_EMITTING_DIODE

          public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_ORGANIC_LIGHT_EMITTING_DIODE

      Organic light emitting diode (LED) display.

    - #### MC_ELECTROLUMINESCENT

          public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_ELECTROLUMINESCENT

      Electroluminescent display.

    - #### MC_MICROELECTROMECHANICAL

          public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_MICROELECTROMECHANICAL

      Microelectromechanical display.

    - #### MC_FIELD_EMISSION_DEVICE

          public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_FIELD_EMISSION_DEVICE

      Field emission device (FED) display.

  - ### Method Detail

    - #### values

          public static HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE c : HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.